package com.cmvr.device.service.impl;

import java.util.List;

import com.cmvr.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.cmvr.device.mapper.DeRobotConfigMapper;
import com.cmvr.device.domain.DeRobotConfig;
import com.cmvr.device.service.IDeRobotConfigService;

/**
 * 机器人配置Service业务层处理
 * 
 * @author cmvr-iot
 * @date 2025-09-09
 */
@Service
public class DeRobotConfigServiceImpl implements IDeRobotConfigService 
{
    @Autowired
    private DeRobotConfigMapper deRobotConfigMapper;

    /**
     * 查询机器人配置
     * 
     * @param id 机器人配置主键
     * @return 机器人配置
     */
    @Override
    public DeRobotConfig selectDeRobotConfigById(String id)
    {
        return deRobotConfigMapper.selectDeRobotConfigById(id);
    }

    /**
     * 查询机器人配置列表
     * 
     * @param deRobotConfig 机器人配置
     * @return 机器人配置
     */
    @Override
    public List<DeRobotConfig> selectDeRobotConfigList(DeRobotConfig deRobotConfig)
    {
        return deRobotConfigMapper.selectDeRobotConfigList(deRobotConfig);
    }

    /**
     * 新增机器人配置
     * 
     * @param deRobotConfig 机器人配置
     * @return 结果
     */
    @Override
    public int insertDeRobotConfig(DeRobotConfig deRobotConfig)
    {
        deRobotConfig.setCreateTime(DateUtils.getNowDate());
        return deRobotConfigMapper.insertDeRobotConfig(deRobotConfig);
    }

    /**
     * 修改机器人配置
     * 
     * @param deRobotConfig 机器人配置
     * @return 结果
     */
    @Override
    public int updateDeRobotConfig(DeRobotConfig deRobotConfig)
    {
        deRobotConfig.setUpdateTime(DateUtils.getNowDate());
        return deRobotConfigMapper.updateDeRobotConfig(deRobotConfig);
    }

    /**
     * 批量删除机器人配置
     * 
     * @param ids 需要删除的机器人配置主键
     * @return 结果
     */
    @Override
    public int deleteDeRobotConfigByIds(String[] ids)
    {
        return deRobotConfigMapper.deleteDeRobotConfigByIds(ids);
    }

    /**
     * 删除机器人配置信息
     * 
     * @param id 机器人配置主键
     * @return 结果
     */
    @Override
    public int deleteDeRobotConfigById(String id)
    {
        return deRobotConfigMapper.deleteDeRobotConfigById(id);
    }
}
